How keep Lightroom Classic 9.4 ALONG with 10?

Contributor ,
Nov 06, 2020 Nov 06, 2020

Copy link to clipboard

Copied

I upgraded to Lightroom 10 and expected to be allowed to KEEP old versions.  It didn't appear to offer me the option of going into Advanced settings...  Or anything else.

So, I went back and told CC desktop to put 9.4 back on, again expecting to be able to keep both.  Didn't happen.

Yes, I KNOW the catalog was changed.  I'd like to keep 9.4 ON for doing the heavy lifting of culling, which so far, 10.0 is really slow at.  Once done I'll switch to 10 and import the images.

So, HOW do I keep

TOPICS
How to

Views

149

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 06, 2020 Nov 06, 2020

Copy link to clipboard

Copied

As far as I'm aware, there is no option that allows you to do that. What OS are you using? I'm using Windows 10, and I haven't experienced any change in performance when switching to LrC 10. Have you tried disabling the GPU to see if that makes any difference?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 06, 2020 Nov 06, 2020

Copy link to clipboard

Copied

As far as I know, this is not possible.

 

Since some people are having speed issues with 10.0, you might be best off doing all your work in 9.4 until that gets fixed.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 06, 2020 Nov 06, 2020

Copy link to clipboard

Copied

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
Nov 07, 2020 Nov 07, 2020

Copy link to clipboard

Copied

Windows 10 Pro, 5820 O/C to 4.4 GHz, 32GB memory, 970 GTX graphics, SSDs everywhere but backups, all apps, cache, temp, catalog, and images are on SSDs, most of them on SEPARATE SSDs.

 

Unfortunately, I'm one of the people that sometimes has performance issues when Adobe puts out a major release.  With 8, IIRC (it may have been 9.0), 8.0 was unusable, then after that it depended.  Some updates were unusable and I'd roll back 'til the next update, and others were fine.  

With 10.0, the place I see the lag MOST is when culling.  At 1:1, with 1:1 previews built, even with the D850, it's NORMALLY very quick from image to image - essentially instantly.  With 10.0, not.  Not even close. BUT, "close" for me is sub-second, which is what I'm used to, so having it take a second or 2 to move from image to image is unusable.  It'd be OK if I had 50 image to go through, but it's usually several hundred.  And WHILE it's doing that, mouse movement is perceptibly laggy.  BUT, since that's what I'm doing MOST right now, that's just where I see it.  Adjustment brushes, spot healing and other htings MAY be equally bad, but I haven't needed them in the last week.

 

My ACTUAL catalog is now on 10 and the catalog has been updaed.  So, it's too late for that one.  It's not bad enough that I've been willing to go back to 9.4 and import all the new stuff since LR was updated (I ALWAYS keep the old catalogs when Adobe updates to some new version).

But, my "incoming" catalog, which is where I do the culling before importing the "good" images into the real catalog is on 9.4, which is where I'm now doing all the catch-up work.

 

I've also got PS 21.4 and 22 on, 'cause there are a bunch of things in 22 that are painfully slow...  Object select is slow even drawing the lasso tool around the object (very laggy), brush is equally slow.  I've got graphics turned all the way down to Basic and I still have NO scrubby zoom...

Though my 970 GTX is still on the list of approved and maybe adequate cards, there's a new graphics card on the way that I'm hoping will help fix some of the performance issues - I need it anyway 'cause I've got programs that want an 8GB card, especially for the D850, but hopefully it'll make LR and PS a little better BEFORE the .3 or .4 updates.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
Nov 07, 2020 Nov 07, 2020

Copy link to clipboard

Copied

OH, and those instructions for keeping multiple versions, NORMALLY work.  They DON'T appear to work with V10.  It never displays the Advanced Options where you tell it to keep the existing versions.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

[This post contains formatting and embedded images that don't appear in email. View the post in your Web browser.]

 

"those instructions for keeping multiple versions, NORMALLY work.  They DON'T appear to work with V10.  It never displays the Advanced Options where you tell it to keep the existing versions."

 

Unfortunately, the advanced option to keep the previous version of LR installed disappeared a while ago, at least in LR 9 and perhaps earlier:

 

Untitled.png

 

It's annoying for those of us who develop plugins and need to test on older versions. I keep a virtual machine with LR 9 in it.

 

[Use the blue reply button under the first post to ensure replies sort properly.]

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

I finally got off my butt and filed a feature request:

https://feedback.photoshop.com/conversations/lightroom-classic/lightroom-allow-multiple-versions-to-... 

 

I think it's not that likely Adobe will implement it, though. But please add your constructive opinion and be sure to click Like and Follow at the bottom of the first post. That will make it a little more likely that Adobe will consider implementing the feature and you'll be notified when they do.

 

[Use the blue reply button under the first post to ensure replies sort properly.]

 

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

I guess it would help to know why Adobe changed it so only one version can be installed at a time. Acrobat has always been like that but I've no idea if the reasons are the same.

 

Are plug-in developers and forum regulars a big enough pool of use cases if Adobe has other reasons?

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

"Are plug-in developers and forum regulars a big enough pool of use cases if Adobe has other reasons?"

 

Very likely not...

 

[Use the blue reply button under the first post to ensure replies sort properly.]

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

I thought it might be because it was a major release that required a catalog update.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

"I thought it might be because it was a major release that required a catalog update."

 

If you uninstall 10 and install 9.4, you still won't see the advanced options :-<

 

[Use the blue reply button under the first post to ensure replies sort properly.]

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Contributor ,
Nov 08, 2020 Nov 08, 2020

Copy link to clipboard

Copied

I know...  I had 10 on for about 3 days.  The lag and general slow performance caused me to switch back to 9.4 for the last week.  Unfortunately, I need the "fer real" catalog tomorrow so I just had to tell it to re-install 10.  It's  PITA but 10 is very poor for culling images.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Nov 09, 2020 Nov 09, 2020

Copy link to clipboard

Copied

LATEST

truly can't even find my images. I hate when updates come out. As much as I don't want to, I might have to switch to LR CC even though I don't think its as intricate. I wish I could help you, but I've tried all the tricks I know and I'm stuck too!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines